diff --git "a/C:\\ti\\simplelink_cc13x2_26x2_sdk_3_40_00_02\\source\\ti\\drivers\\power\\PowerCC26X2.c" "b/C:\\Users\\a0132664\\Documents\\WORK\\FLASH_OPTIMIZATION\\PowerDriver\\PowerCC26X2.c"
index fb30104..4b4771f 100644
--- "a/C:\\ti\\simplelink_cc13x2_26x2_sdk_3_40_00_02\\source\\ti\\drivers\\power\\PowerCC26X2.c"
+++ "b/C:\\Users\\a0132664\\Documents\\WORK\\FLASH_OPTIMIZATION\\PowerDriver\\PowerCC26X2.c"
@@ -78,7 +78,9 @@ static void disableLFClockQualifiers(void);
 static void emptyClockFunc(uintptr_t arg);
 static int_fast16_t notify(uint_fast16_t eventType);
 static void oscillatorISR(uintptr_t arg);
-static void switchToTCXO(void);
+
+// CC_POWER_DRIVER_OPTIMIZATION - Have you enable a TCXO function? / Are you using the TCXO?
+//static void switchToTCXO(void);
 
 /* RCOSC calibration functions functions */
 extern void PowerCC26X2_calibrate(void);
@@ -250,7 +252,9 @@ void Power_idleFunc()
 int_fast16_t Power_init()
 {
     ClockP_Params clockParams;
-    uint32_t ccfgLfClkSrc;
+    // CC_POWER_DRIVER_OPTIMIZATION - constant source for SCLK_LF?
+    // uint32_t ccfgLfClkSrc;
+    const uint32_t ccfgLfClkSrc = CCFGREAD_SCLK_LF_OPTION_XOSC_LF;
 
     /* CC26X2 PG1.0 trap. If we are running on PG1.0, spin forever.
      * This hardware revision is no longer supported. This trap is
@@ -278,17 +282,18 @@ int_fast16_t Power_init()
     /* Check if TCXO is selected in CCFG and in addition configured to be
      * enabled by the function pointed to by PowerCC26X2_config.enableTCXOFxn
      */
-    if ((CCFGRead_XOSC_FREQ() == CCFGREAD_XOSC_FREQ_TCXO) &&
-        (PowerCC26X2_config.enableTCXOFxn != NULL)) {
-
-        /* Construct the Clock object for TCXO startup time.
-         * Set timeout to TCXO startup time as specified in CCFG.
-         */
-        ClockP_construct(&PowerCC26X2_module.tcxoEnableClock,
-                         (ClockP_Fxn)&switchToTCXO,
-                         (CCFGRead_TCXO_MAX_START()*100)/ClockP_tickPeriod,
-                         NULL);
-    }
+// CC_POWER_DRIVER_OPTIMIZATION - Have you enable a TCXO function? / Are you using the TCXO?
+//    if ((CCFGRead_XOSC_FREQ() == CCFGREAD_XOSC_FREQ_TCXO) &&
+//        (PowerCC26X2_config.enableTCXOFxn != NULL)) {
+//
+//        /* Construct the Clock object for TCXO startup time.
+//         * Set timeout to TCXO startup time as specified in CCFG.
+//         */
+//        ClockP_construct(&PowerCC26X2_module.tcxoEnableClock,
+//                         (ClockP_Fxn)&switchToTCXO,
+//                         (CCFGRead_TCXO_MAX_START()*100)/ClockP_tickPeriod,
+//                         NULL);
+//    }
 
     /* construct the Clock object for scheduling of wakeups */
     /* initiated and started by the power policy */
@@ -335,7 +340,8 @@ int_fast16_t Power_init()
     DRIVERLIB_ASSERT_CURR_RELEASE();
 
     /* read the LF clock source from CCFG */
-    ccfgLfClkSrc = CCFGRead_SCLK_LF_OPTION();
+    // CC_POWER_DRIVER_OPTIMIZATION - constant source for SCLK_LF?
+    //ccfgLfClkSrc = CCFGRead_SCLK_LF_OPTION();
 
     /* check if should calibrate RCOSC_LF */
     if (PowerCC26X2_config.calibrateRCOSC_LF) {
@@ -394,10 +400,11 @@ int_fast16_t Power_init()
         Power_setConstraint(PowerCC26XX_DISALLOW_STANDBY);
     }
 
+//CC_POWER_DRIVER_OPTIMIZATION - Do you use the VIMS RAM as GPRAM?
     /* if VIMS RAM is configured as GPRAM: set retention constraint */
-    if (!CCFGRead_DIS_GPRAM()) {
-        Power_setConstraint(PowerCC26XX_RETAIN_VIMS_CACHE_IN_STANDBY);
-    }
+//    if (!CCFGRead_DIS_GPRAM()) {
+//        Power_setConstraint(PowerCC26XX_RETAIN_VIMS_CACHE_IN_STANDBY);
+//    }
 
     return (Power_SOK);
 }
@@ -773,7 +780,8 @@ int_fast16_t Power_sleep(uint_fast16_t sleepState)
              *    the XOSC_HF "on" without having switched to is not
              *    considered by this driver.
              */
-            if (OSCClockSourceGet(OSC_SRC_CLK_HF) == OSC_XOSC_HF ||
+            // CC_POWER_DRIVER_OPTIMIZATION - What did you chose as HF Clock Source? (here HF Clock Source is OSC_RCOSC_HF)
+            if (/*OSCClockSourceGet(OSC_SRC_CLK_HF)*/ OSC_RCOSC_HF  == OSC_XOSC_HF ||
                 PowerCC26X2_module.xoscPending == true) {
                 xosc_hf_active = true;
                 configureXOSCHF(PowerCC26XX_DISABLE);
@@ -1120,7 +1128,9 @@ static void disableLFClockQualifiers(void)
     uint32_t sourceLF;
 
      /* query LF clock source */
-    sourceLF = OSCClockSourceGet(OSC_SRC_CLK_LF);
+// CC_POWER_DRIVER_OPTIMIZATION - What did you chose as LF Clock Source? (here LF Clock Source is OSC_XOSC_LF)
+//    sourceLF = OSCClockSourceGet(OSC_SRC_CLK_LF);
+    sourceLF = OSC_XOSC_LF;
 
     /* is LF source either RCOSC_LF or XOSC_LF yet? */
     if ((sourceLF == OSC_RCOSC_LF) || (sourceLF == OSC_XOSC_LF)) {
@@ -1276,42 +1286,46 @@ static unsigned int configureXOSCHF(unsigned int action)
      * action more than once will not have any effect until the hardware triggers
      * a software state change.
      */
+
+// CC_POWER_DRIVER_OPTIMIZATION - What did you chose as HF Clock Source? (here HF Clock Source is OSC_RCOSC_HF)
     if (action == PowerCC26XX_ENABLE &&
-        OSCClockSourceGet(OSC_SRC_CLK_HF) != OSC_XOSC_HF &&
+            /*OSCClockSourceGet(OSC_SRC_CLK_HF)*/ OSC_RCOSC_HF != OSC_XOSC_HF &&
         PowerCC26X2_module.xoscPending == false) {
 
         /* Check if TCXO is selected in CCFG and in addition configured to be enabled
          * by the function pointed to by PowerCC26X2_config.enableTCXOFxn.
          */
-        if ((CCFGRead_XOSC_FREQ() == CCFGREAD_XOSC_FREQ_TCXO) &&
-            (PowerCC26X2_config.enableTCXOFxn != NULL)) {
-
-            /* Enable power on TCXO */
-            (*(PowerCC26X2_config.enableTCXOFxn))(true);
-
-            /* Configure TCXO */
-            HWREG(AUX_DDI0_OSC_BASE + DDI_O_CLR + DDI_0_OSC_O_CTL0) = DDI_0_OSC_CTL0_XTAL_IS_24M;
-            HWREG(AUX_DDI0_OSC_BASE + DDI_O_SET + DDI_0_OSC_O_XOSCHFCTL) = DDI_0_OSC_XOSCHFCTL_BYPASS;
-            if (CCFGRead_TCXO_TYPE() == 0x1)
-            {
-                /* Selected TCXO type is clipped-sine. Enabled internal common-mode bias. */
-                HWREG( AUX_DDI0_OSC_BASE + DDI_O_SET + DDI_0_OSC_O_XOSCHFCTL ) = DDI_0_OSC_XOSCHFCTL_TCXO_MODE_XOSC_HF_EN;
-            }
-
-            /* Start clock to wait for TCXO startup time before clock switch
-             * can be attempted.
-             */
-            ClockP_start(ClockP_handle(&PowerCC26X2_module.tcxoEnableClock));
-        }
+// CC_POWER_DRIVER_OPTIMIZATION - Have you enable a TCXO function? / Are you using the TCXO?
+//        if ((CCFGRead_XOSC_FREQ() == CCFGREAD_XOSC_FREQ_TCXO) &&
+//            (PowerCC26X2_config.enableTCXOFxn != NULL)) {
+//
+//            /* Enable power on TCXO */
+//            (*(PowerCC26X2_config.enableTCXOFxn))(true);
+//
+//            /* Configure TCXO */
+//            HWREG(AUX_DDI0_OSC_BASE + DDI_O_CLR + DDI_0_OSC_O_CTL0) = DDI_0_OSC_CTL0_XTAL_IS_24M;
+//            HWREG(AUX_DDI0_OSC_BASE + DDI_O_SET + DDI_0_OSC_O_XOSCHFCTL) = DDI_0_OSC_XOSCHFCTL_BYPASS;
+//            if (CCFGRead_TCXO_TYPE() == 0x1)
+//            {
+//                /* Selected TCXO type is clipped-sine. Enabled internal common-mode bias. */
+//                HWREG( AUX_DDI0_OSC_BASE + DDI_O_SET + DDI_0_OSC_O_XOSCHFCTL ) = DDI_0_OSC_XOSCHFCTL_TCXO_MODE_XOSC_HF_EN;
+//            }
+//
+//            /* Start clock to wait for TCXO startup time before clock switch
+//             * can be attempted.
+//             */
+//            ClockP_start(ClockP_handle(&PowerCC26X2_module.tcxoEnableClock));
+//        }
 
         OSCHF_TurnOnXosc();
 
         PowerCC26X2_module.xoscPending = true;
 
         /* Unless it is disallowed, unmask the XOSC_HF ready to switch flag */
-        if (!((CCFGRead_XOSC_FREQ() == CCFGREAD_XOSC_FREQ_TCXO) &&
-              (PowerCC26X2_config.enableTCXOFxn != NULL)))
-        {
+// CC_POWER_DRIVER_OPTIMIZATION - Have you enable a TCXO function? / Are you using the TCXO?
+//        if (!((CCFGRead_XOSC_FREQ() == CCFGREAD_XOSC_FREQ_TCXO) &&
+//              (PowerCC26X2_config.enableTCXOFxn != NULL)))
+//        {
             if (!(Power_getConstraintMask() & (1 << PowerCC26XX_SWITCH_XOSC_HF_MANUALLY))) {
 
                 /* Clearing the flag in the ISR does not always work. Clear it again just in case */
@@ -1320,7 +1334,7 @@ static unsigned int configureXOSCHF(unsigned int action)
                 /* Turn on oscillator interrupt for SCLK_HF switching */
                 HWREG(PRCM_BASE + PRCM_O_OSCIMSC) |= PRCM_OSCIMSC_HFSRCPENDIM_M;
             }
-        }
+//        }
 
         /* If the device goes into IDLE in between turning on XOSC_HF and
          * and switching SCLK_HF to XOSC_HF, the INT_OSC_COMB HFSRCPEND
@@ -1336,21 +1350,22 @@ static unsigned int configureXOSCHF(unsigned int action)
         OSCHF_SwitchToRcOscTurnOffXosc();
 
         /* Handle TCXO if selected in CCFG */
-        if (CCFGRead_XOSC_FREQ() == CCFGREAD_XOSC_FREQ_TCXO) {
-
-            /* Turn off bias if clipped sine TCXO type */
-            if (CCFGRead_TCXO_TYPE() == 1) {
-                HWREG(AUX_DDI0_OSC_BASE + DDI_O_CLR + DDI_0_OSC_O_XOSCHFCTL) =
-                                             DDI_0_OSC_XOSCHFCTL_TCXO_MODE_XOSC_HF_EN;
-            }
-
-            /* Check if function for enabling/disabling TCXO is supported */
-            if (PowerCC26X2_config.enableTCXOFxn != NULL) {
-
-                /* Disable TCXO by turning off power */
-                (*(PowerCC26X2_config.enableTCXOFxn))(false);
-            }
-        }
+// CC_POWER_DRIVER_OPTIMIZATION - Have you enable a TCXO function? / Are you using the TCXO?
+//        if (CCFGRead_XOSC_FREQ() == CCFGREAD_XOSC_FREQ_TCXO) {
+//
+//            /* Turn off bias if clipped sine TCXO type */
+//            if (CCFGRead_TCXO_TYPE() == 1) {
+//                HWREG(AUX_DDI0_OSC_BASE + DDI_O_CLR + DDI_0_OSC_O_XOSCHFCTL) =
+//                                             DDI_0_OSC_XOSCHFCTL_TCXO_MODE_XOSC_HF_EN;
+//            }
+//
+//            /* Check if function for enabling/disabling TCXO is supported */
+//            if (PowerCC26X2_config.enableTCXOFxn != NULL) {
+//
+//                /* Disable TCXO by turning off power */
+//                (*(PowerCC26X2_config.enableTCXOFxn))(false);
+//            }
+//        }
 
         /* If we have not actually switched to XOSC_HF yet, we need to
          * undo what we did above when turning on XOSC_HF. Otherwise,
@@ -1377,12 +1392,13 @@ static unsigned int configureXOSCHF(unsigned int action)
  *  ======== switchToTCXO ========
  *  Switching to TCXO after TCXO startup time has expired.
  */
-static void switchToTCXO(void)
-{
-    /* Enable clock qualification on 48MHz signal from TCXO */
-    HWREG( AUX_DDI0_OSC_BASE + DDI_O_SET + DDI_0_OSC_O_XOSCHFCTL ) = DDI_0_OSC_XOSCHFCTL_TCXO_MODE;
-
-    /* Switch to TCXO */
-    switchXOSCHF();
-}
+// CC_POWER_DRIVER_OPTIMIZATION - Have you enable a TCXO function? / Are you using the TCXO?
+//static void switchToTCXO(void)
+//{
+//    /* Enable clock qualification on 48MHz signal from TCXO */
+//    HWREG( AUX_DDI0_OSC_BASE + DDI_O_SET + DDI_0_OSC_O_XOSCHFCTL ) = DDI_0_OSC_XOSCHFCTL_TCXO_MODE;
+//
+//    /* Switch to TCXO */
+//    switchXOSCHF();
+//}
 