--- C:\ti\simplelink_cc13x2_26x2_sdk_3_40_00_02\examples\rtos\CC26X2R1_LAUNCHXL\ble5stack\simple_peripheral\Application\simple_peripheral_without_update_param.c	Wed Feb 12 15:35:38 2020
+++ C:\ti\simplelink_cc13x2_26x2_sdk_3_40_00_02\examples\rtos\CC26X2R1_LAUNCHXL\ble5stack\simple_peripheral\Application\simple_peripheral_SIMPLE.c	Wed Feb 12 16:27:29 2020
@@ -139,28 +139,6 @@
   void    *pData;               // pointer to message
 } spEvt_t;
 
-// Container to store passcode data when passing from gapbondmgr callback
-// to app event. See the pfnPairStateCB_t documentation from the gapbondmgr.h
-// header file for more information on each parameter.
-typedef struct
-{
-  uint8_t state;
-  uint16_t connHandle;
-  uint8_t status;
-} spPairStateData_t;
-
-// Container to store passcode data when passing from gapbondmgr callback
-// to app event. See the pfnPasscodeCB_t documentation from the gapbondmgr.h
-// header file for more information on each parameter.
-typedef struct
-{
-  uint8_t deviceAddr[B_ADDR_LEN];
-  uint16_t connHandle;
-  uint8_t uiInputs;
-  uint8_t uiOutputs;
-  uint32_t numComparison;
-} spPasscodeData_t;
-
 // Container to store advertising event data when passing from advertising
 // callback to app event. See the respective event in GapAdvScan_Event_IDs
 // in gap_advertiser.h for the type that pBuf should be cast to.
@@ -255,13 +233,6 @@
 static void SimplePeripheral_performPeriodicTask(void);
 static void SimplePeripheral_updateRPA(void);
 static void SimplePeripheral_clockHandler(UArg arg);
-static void SimplePeripheral_passcodeCb(uint8_t *pDeviceAddr, uint16_t connHandle,
-                                        uint8_t uiInputs, uint8_t uiOutputs,
-                                        uint32_t numComparison);
-static void SimplePeripheral_pairStateCb(uint16_t connHandle, uint8_t state,
-                                         uint8_t status);
-static void SimplePeripheral_processPairState(spPairStateData_t *pPairState);
-static void SimplePeripheral_processPasscode(spPasscodeData_t *pPasscodeData);
 static void SimplePeripheral_charValueChangeCB(uint8_t paramId);
 static status_t SimplePeripheral_enqueueMsg(uint8_t event, void *pData);
 static uint8_t SimplePeripheral_addConn(uint16_t connHandle);
@@ -281,13 +252,6 @@
 /*********************************************************************
  * PROFILE CALLBACKS
  */
-
-// GAP Bond Manager Callbacks
-static gapBondCBs_t SimplePeripheral_BondMgrCBs =
-{
-  SimplePeripheral_passcodeCb,       // Passcode callback
-  SimplePeripheral_pairStateCb       // Pairing/Bonding state Callback
-};
 
 // Simple GATT Profile Callbacks
 static simpleProfileCBs_t SimplePeripheral_simpleProfileCBs =
@@ -468,7 +432,7 @@
   SimpleProfile_RegisterAppCBs(&SimplePeripheral_simpleProfileCBs);
 
   // Start Bond Manager and register callback
-  VOID GAPBondMgr_Register(&SimplePeripheral_BondMgrCBs);
+  VOID GAPBondMgr_Register(NULL);
 
   // Register with GAP for HCI/Host messages. This is needed to receive HCI
   // events. For more information, see the HCI section in the User's Guide:
@@ -717,14 +681,6 @@
 
     case SP_ADV_EVT:
       SimplePeripheral_processAdvEvent((spGapAdvEventData_t*)(pMsg->pData));
-      break;
-
-    case SP_PAIR_STATE_EVT:
-      SimplePeripheral_processPairState((spPairStateData_t*)(pMsg->pData));
-      break;
-
-    case SP_PASSCODE_EVT:
-      SimplePeripheral_processPasscode((spPasscodeData_t*)(pMsg->pData));
       break;
 
     case SP_PERIODIC_EVT:
@@ -1116,110 +1072,6 @@
   }
 }
 
-
-/*********************************************************************
- * @fn      SimplePeripheral_pairStateCb
- *
- * @brief   Pairing state callback.
- *
- * @return  none
- */
-static void SimplePeripheral_pairStateCb(uint16_t connHandle, uint8_t state,
-                                         uint8_t status)
-{
-  spPairStateData_t *pData = ICall_malloc(sizeof(spPairStateData_t));
-
-  // Allocate space for the event data.
-  if (pData)
-  {
-    pData->state = state;
-    pData->connHandle = connHandle;
-    pData->status = status;
-
-    // Queue the event.
-    if(SimplePeripheral_enqueueMsg(SP_PAIR_STATE_EVT, pData) != SUCCESS)
-    {
-      ICall_free(pData);
-    }
-  }
-}
-
-/*********************************************************************
- * @fn      SimplePeripheral_passcodeCb
- *
- * @brief   Passcode callback.
- *
- * @return  none
- */
-static void SimplePeripheral_passcodeCb(uint8_t *pDeviceAddr,
-                                        uint16_t connHandle,
-                                        uint8_t uiInputs,
-                                        uint8_t uiOutputs,
-                                        uint32_t numComparison)
-{
-  spPasscodeData_t *pData = ICall_malloc(sizeof(spPasscodeData_t));
-
-  // Allocate space for the passcode event.
-  if (pData )
-  {
-    pData->connHandle = connHandle;
-    memcpy(pData->deviceAddr, pDeviceAddr, B_ADDR_LEN);
-    pData->uiInputs = uiInputs;
-    pData->uiOutputs = uiOutputs;
-    pData->numComparison = numComparison;
-
-    // Enqueue the event.
-    if(SimplePeripheral_enqueueMsg(SP_PASSCODE_EVT, pData) != SUCCESS)
-    {
-      ICall_free(pData);
-    }
-  }
-}
-
-/*********************************************************************
- * @fn      SimplePeripheral_processPairState
- *
- * @brief   Process the new paring state.
- *
- * @return  none
- */
-static void SimplePeripheral_processPairState(spPairStateData_t *pPairData)
-{
-  uint8_t state = pPairData->state;
-
-  switch (state)
-  {
-    case GAPBOND_PAIRING_STATE_STARTED:
-      break;
-
-    case GAPBOND_PAIRING_STATE_COMPLETE:
-      break;
-
-    case GAPBOND_PAIRING_STATE_ENCRYPTED:
-      break;
-
-    case GAPBOND_PAIRING_STATE_BOND_SAVED:
-      break;
-
-    default:
-      break;
-  }
-}
-
-/*********************************************************************
- * @fn      SimplePeripheral_processPasscode
- *
- * @brief   Process the Passcode request.
- *
- * @return  none
- */
-static void SimplePeripheral_processPasscode(spPasscodeData_t *pPasscodeData)
-{
-  // Send passcode response
-  GAPBondMgr_PasscodeRsp(pPasscodeData->connHandle , SUCCESS,
-                         B_APP_DEFAULT_PASSCODE);
-}
-
 /*********************************************************************
  * @fn      SimplePeripheral_enqueueMsg
  *